local com = {}

function com.register()
	local ports = serial.list()
	for i=1, #ports do
		lprint("Serial port: "..ports[i])
		local component = {}
		local ok, dev = pcall(serial.open, ports[i])
		if not dev then lprint("Can't open port: "..ports[i]..": "..dev) goto continue end
		--lprint(dev)
		function component.setBaudRate(baud)
			return serial.setbaud(dev, baud)
		end

		function component.getBaudRate()
			return serial.getbaud(dev)
		end

		function component.write(s)
			return serial.write(dev, s)
		end

		function component.read(amt)
			return serial.read(dev, amt)
		end

		modules.component.api.register(modules.uuidmgr.lookup("serial", ports[i]), "serial", component)
		::continue::
	end
end

return com